%define major 		0
%define api 		0.12
%define libname		%mklibname %{name} %{major}
%define develname 	%mklibname -d %{name}
%define gi_major 	0.12
%define girname 	%mklibname %{name}-gir %{gi_major}

Name:		telepathy-glib
Version:	0.24.1
Release:	%mkrel 7
Summary:	A glib utility library for the telepathy framework
Group:		Networking/Instant messaging
License:	LGPLv2+
URL:		http://telepathy.freedesktop.org/wiki/
Source0:	http://telepathy.freedesktop.org/releases/%{name}/%{name}-%{version}.tar.gz
Patch0:		telepathy-glib-0.11.11-missing-file.patch
BuildRequires:	pkgconfig(dbus-glib-1)
BuildRequires:	pkgconfig(gobject-introspection-1.0)
BuildRequires:	pkgconfig(python3)
BuildRequires:	vala-tools
BuildRequires:	xsltproc

%description
%{name} is a glib utility library for the telepathy framework.

#--------------------------------------------------------------------

%package -n %{libname}
Group:		System/Libraries
Summary:	A glib utility library for the telepathy framework
Provides:	%name
Obsoletes:	%name
Requires:	telepathy-filesystem

%description -n %{libname}
%name is a glib utility library for the telepathy framework.

%files -n %{libname}
%{_libdir}/libtelepathy-glib.so.%{major}{,.*}

#--------------------------------------------------------------------

%package -n %{girname}
Summary:	GObject Introspection interface description for %{name}
Group:		System/Libraries
Requires:	%{libname} = %{version}-%{release}

%description -n %{girname}
GObject Introspection interface description for %{name}.

%files -n %{girname}
%{_libdir}/girepository-1.0/TelepathyGLib-%{gi_major}.typelib

#--------------------------------------------------------------------

%package -n %{develname}
Group:		Development/C
Summary:	A glib utility library for the telepathy framework
Requires:	%{libname} = %{version}-%{release}
Requires:	%{girname} = %{version}-%{release}
Provides:	lib%{name}-devel = %{version}-%{release}
Provides:	%{name}-devel = %{version}-%{release}

%description -n %{develname}
%name is a glib utility library for the telepathy framework.

%files -n %{develname}
%{_libdir}/lib%{name}.so
%{_datadir}/gir-1.0/TelepathyGLib-%{gi_major}.gir
%dir %{_includedir}/telepathy-1.0/
%dir %{_includedir}/telepathy-1.0/%{name}/
%{_includedir}/telepathy-1.0/%{name}/*.h
%{_includedir}/telepathy-1.0/%{name}/_gen/*.h
%{_datadir}/gtk-doc/html/%{name}/
%{_libdir}/pkgconfig/%{name}.pc
%{_datadir}/vala/vapi/%{name}.deps
%{_datadir}/vala/vapi/%{name}.vapi

#--------------------------------------------------------------------

%prep
%setup -q
%patch0 -p0

%build
%configure2_5x \
	--enable-vala-bindings \
	--disable-static
make

%install
%makeinstall_std

rm -f %{buildroot}%{_libdir}/*.la


%changelog
* Wed Sep 21 2016 ovitters <ovitters> 0.24.1-7.mga6
+ Revision: 1054925
- rebuild for typelib requires

* Fri Feb 12 2016 umeabot <umeabot> 0.24.1-6.mga6
+ Revision: 958987
- Mageia 6 Mass Rebuild

* Mon Jun 29 2015 wally <wally> 0.24.1-5.mga6
+ Revision: 847843
- add requires for gir pkg to devel pkg

* Wed Oct 15 2014 umeabot <umeabot> 0.24.1-4.mga5
+ Revision: 750944
- Second Mageia 5 Mass Rebuild

* Fri Sep 26 2014 wally <wally> 0.24.1-3.mga5
+ Revision: 724963
- rebuild with new rpm-mageia-setup to generate requires for .typelib files

* Tue Sep 16 2014 umeabot <umeabot> 0.24.1-2.mga5
+ Revision: 689789
- Mageia 5 Mass Rebuild

* Wed Sep 03 2014 luigiwalser <luigiwalser> 0.24.1-1.mga5
+ Revision: 671221
- 0.24.1

* Sat Mar 29 2014 luigiwalser <luigiwalser> 0.24.0-1.mga5
+ Revision: 609682
- 0.24.0

* Sat Mar 22 2014 luigiwalser <luigiwalser> 0.23.3-1.mga5
+ Revision: 606613
- 0.23.3

* Thu Mar 06 2014 dams <dams> 0.23.2-1.mga5
+ Revision: 600564
- new version 0.23.2

* Thu Feb 13 2014 dams <dams> 0.23.1-1.mga5
+ Revision: 590609
- new version 0.23.1

* Mon Oct 21 2013 umeabot <umeabot> 0.22.0-2.mga4
+ Revision: 538921
- Mageia 4 Mass Rebuild

* Thu Oct 03 2013 luigiwalser <luigiwalser> 0.22.0-1.mga4
+ Revision: 491064
- 0.22.0

* Thu Sep 26 2013 luigiwalser <luigiwalser> 0.21.2-1.mga4
+ Revision: 486723
- 0.21.2

* Sun Aug 04 2013 fwang <fwang> 0.21.1-2.mga4
+ Revision: 463243
- do not use vala pkgconfig

* Mon Jul 01 2013 dams <dams> 0.21.1-1.mga4
+ Revision: 449260
- new version 0.21.1

* Sat Jun 22 2013 luigiwalser <luigiwalser> 0.20.3-1.mga4
+ Revision: 445739
- 0.20.3

* Fri Apr 05 2013 luigiwalser <luigiwalser> 0.20.2-1.mga3
+ Revision: 408338
- 0.20.2

* Mon Jan 14 2013 umeabot <umeabot> 0.20.1-2.mga3
+ Revision: 384230
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Thu Nov 15 2012 fwang <fwang> 0.20.1-1.mga3
+ Revision: 318114
- new version 0.20.1

* Fri Oct 26 2012 fwang <fwang> 0.20.0-1.mga3
+ Revision: 310546
- new version 0.20.0

* Mon Sep 17 2012 fwang <fwang> 0.19.9-1.mga3
+ Revision: 295454
- new version 0.19.9

* Mon Aug 06 2012 fwang <fwang> 0.19.6-1.mga3
+ Revision: 279379
- new version 0.19.6

* Tue Jul 24 2012 ovitters <ovitters> 0.19.4-1.mga3
+ Revision: 274055
- new version 0.19.4

* Mon Jul 16 2012 ovitters <ovitters> 0.19.3-1.mga3
+ Revision: 271433
- new version 0.19.3

* Sun Jul 01 2012 ovitters <ovitters> 0.19.1-1.mga3
+ Revision: 266221
- new version 0.19.1

* Tue Apr 03 2012 ovitters <ovitters> 0.18.0-1.mga2
+ Revision: 228129
- new version 0.18.0

* Thu Feb 23 2012 ovitters <ovitters> 0.17.5-1.mga2
+ Revision: 212595
- new version

* Tue Nov 29 2011 dmorgan <dmorgan> 0.17.3-1.mga2
+ Revision: 174018
- New version 0.17.3

* Mon Nov 21 2011 wally <wally> 0.17.1-1.mga2
+ Revision: 170520
- disable parallel build
- new version 0.17.1

* Fri Nov 11 2011 fwang <fwang> 0.16.0-2.mga2
+ Revision: 166486
- drop .la files

* Tue Oct 18 2011 wally <wally> 0.16.0-1.mga2
+ Revision: 156213
- new version 0.16.0
- restore .la file
- new version 0.15.4
- get rid of .la files
- clean .spec a bit

  + fwang <fwang>
    - new version 0.15.5

* Fri Jul 08 2011 cjw <cjw> 0.15.2-4.mga2
+ Revision: 120332
- the typelib pkg needs the lib pkg to work

* Thu Jul 07 2011 dmorgan <dmorgan> 0.15.2-3.mga2
+ Revision: 119857
- Split gir files outside lib package
- New version 0.15.2
- Really use 0.15.1 needs at least this version

* Thu Jun 23 2011 mikala <mikala> 0.14.8-1.mga2
+ Revision: 112556
- Use tarball 0.14.8

* Wed Jun 22 2011 mikala <mikala> 0.15.2-1.mga2
+ Revision: 112483
- Update tarball to 0.15.2

* Wed Jun 15 2011 dmorgan <dmorgan> 0.15.1-1.mga2
+ Revision: 106534
- New version 0.15.1

* Tue Apr 05 2011 dams <dams> 0.14.3-1.mga1
+ Revision: 80697
- update to 0.14.3 and add a better buildrequire on vala
- update to 0.14.3

* Sun Feb 20 2011 eandry <eandry> 0.12.7-2.mga1
+ Revision: 54851
- remove buildroot and old conditional
- imported package telepathy-glib


* Fri Dec 24 2010 Götz Waschk <waschk@mandriva.org> 0.12.7-1mdv2011.0
+ Revision: 624460
- update to new version 0.12.7

* Fri Oct 01 2010 Funda Wang <fwang@mandriva.org> 0.12.0-1mdv2011.0
+ Revision: 582224
- update to new version 0.12.0

* Mon Sep 20 2010 Götz Waschk <waschk@mandriva.org> 0.11.16-1mdv2011.0
+ Revision: 579948
- new version 0.11.16

* Wed Aug 18 2010 Götz Waschk <waschk@mandriva.org> 0.11.13-1mdv2011.0
+ Revision: 571153
- new version
- update file list

* Mon Aug 02 2010 Funda Wang <fwang@mandriva.org> 0.11.11-2mdv2011.0
+ Revision: 565068
- missing patch
- enable vala binding for upcoming libfolks

* Fri Jul 30 2010 Götz Waschk <waschk@mandriva.org> 0.11.11-1mdv2011.0
+ Revision: 563405
- update to new version 0.11.11
- new version
- enable introspection

* Wed Apr 28 2010 Frederik Himpe <fhimpe@mandriva.org> 0.10.5-1mdv2010.1
+ Revision: 540499
- update to new version 0.10.5

* Wed Apr 28 2010 Christophe Fergeau <cfergeau@mandriva.com> 0.10.4-2mdv2010.1
+ Revision: 540362
- rebuild so that shared libraries are properly stripped again

* Tue Apr 20 2010 Frederik Himpe <fhimpe@mandriva.org> 0.10.4-1mdv2010.1
+ Revision: 537240
- update to new version 0.10.4

* Fri Apr 16 2010 Frederik Himpe <fhimpe@mandriva.org> 0.10.3-1mdv2010.1
+ Revision: 535568
- update to new version 0.10.3

* Thu Jan 21 2010 Frederik Himpe <fhimpe@mandriva.org> 0.10.0-1mdv2010.1
+ Revision: 494640
- update to new version 0.10.0

* Thu Dec 10 2009 Frederik Himpe <fhimpe@mandriva.org> 0.9.2-1mdv2010.1
+ Revision: 476211
- update to new version 0.9.2

* Thu Oct 22 2009 Frederic Crozat <fcrozat@mandriva.com> 0.9.1-1mdv2010.0
+ Revision: 458761
- Release 0.9.1

* Thu Oct 01 2009 Caio Begotti <caio1982@mandriva.org> 0.9.0-1mdv2010.0
+ Revision: 452204
- update it so we can build moblin packages which explicitely depends on functions from 0.9.0

* Thu Sep 24 2009 Frederik Himpe <fhimpe@mandriva.org> 0.8.0-1mdv2010.0
+ Revision: 448381
- update to new version 0.8.0

* Mon Sep 14 2009 Frederik Himpe <fhimpe@mandriva.org> 0.7.37-1mdv2010.0
+ Revision: 440841
- update to new version 0.7.37

* Wed Sep 09 2009 Frederik Himpe <fhimpe@mandriva.org> 0.7.36-1mdv2010.0
+ Revision: 435983
- update to new version 0.7.36

* Tue Aug 18 2009 Frederik Himpe <fhimpe@mandriva.org> 0.7.35-1mdv2010.0
+ Revision: 417844
- update to new version 0.7.35

* Mon Aug 17 2009 Frederik Himpe <fhimpe@mandriva.org> 0.7.34-1mdv2010.0
+ Revision: 417379
- update to new version 0.7.34

* Fri Jun 26 2009 Frederik Himpe <fhimpe@mandriva.org> 0.7.33-1mdv2010.0
+ Revision: 389587
- update to new version 0.7.33

* Fri Jun 12 2009 Frederik Himpe <fhimpe@mandriva.org> 0.7.32-1mdv2010.0
+ Revision: 385550
- update to new version 0.7.32

* Wed May 27 2009 Frederik Himpe <fhimpe@mandriva.org> 0.7.31-1mdv2010.0
+ Revision: 380251
- update to new version 0.7.31

* Mon May 18 2009 Frederik Himpe <fhimpe@mandriva.org> 0.7.30-1mdv2010.0
+ Revision: 377327
- update to new version 0.7.30

* Fri May 01 2009 Frederik Himpe <fhimpe@mandriva.org> 0.7.29-1mdv2010.0
+ Revision: 369662
- update to new version 0.7.29

* Tue Mar 17 2009 Frederik Himpe <fhimpe@mandriva.org> 0.7.27-1mdv2009.1
+ Revision: 356987
- update to new version 0.7.27

* Mon Feb 16 2009 Frederik Himpe <fhimpe@mandriva.org> 0.7.26-1mdv2009.1
+ Revision: 341067
- update to new version 0.7.26

* Sun Feb 01 2009 Frederik Himpe <fhimpe@mandriva.org> 0.7.25-1mdv2009.1
+ Revision: 336099
- update to new version 0.7.25

* Wed Jan 28 2009 Frederik Himpe <fhimpe@mandriva.org> 0.7.24-1mdv2009.1
+ Revision: 334972
- update to new version 0.7.24

* Thu Jan 22 2009 Frederik Himpe <fhimpe@mandriva.org> 0.7.23-1mdv2009.1
+ Revision: 332629
- update to new version 0.7.23

* Sat Jan 17 2009 Frederik Himpe <fhimpe@mandriva.org> 0.7.22-1mdv2009.1
+ Revision: 330436
- update to new version 0.7.22

* Sat Dec 27 2008 Frederik Himpe <fhimpe@mandriva.org> 0.7.20-1mdv2009.1
+ Revision: 319854
- update to new version 0.7.20

* Thu Dec 04 2008 Frederik Himpe <fhimpe@mandriva.org> 0.7.19-1mdv2009.1
+ Revision: 310059
- update to new version 0.7.19

* Tue Nov 11 2008 Frederik Himpe <fhimpe@mandriva.org> 0.7.18-1mdv2009.1
+ Revision: 302232
- update to new version 0.7.18

* Sat Oct 18 2008 Frederik Himpe <fhimpe@mandriva.org> 0.7.17-1mdv2009.1
+ Revision: 294832
- update to new version 0.7.17

* Sat Oct 11 2008 Frederik Himpe <fhimpe@mandriva.org> 0.7.16-1mdv2009.1
+ Revision: 292460
- update to new version 0.7.16

* Tue Aug 19 2008 Frederik Himpe <fhimpe@mandriva.org> 0.7.14-1mdv2009.0
+ Revision: 274014
- update to new version 0.7.14
- Remove the pkgconfig patch, the pkgconfig package now provides
  pkgconfig(pkg-config)

* Wed Jul 30 2008 Frederik Himpe <fhimpe@mandriva.org> 0.7.13-2mdv2009.0
+ Revision: 254948
- Patch pkgconfig file to remove Requires: pkg-config >= 0.21,
  otherwise the devel package is unintallable because nothing
  provides this.

* Tue Jul 29 2008 Frederik Himpe <fhimpe@mandriva.org> 0.7.13-1mdv2009.0
+ Revision: 253430
- update to new version 0.7.13

* Sun Jul 06 2008 Funda Wang <fwang@mandriva.org> 0.7.11-1mdv2009.0
+ Revision: 232193
- update to new version 0.7.11

* Sun Jun 15 2008 Funda Wang <fwang@mandriva.org> 0.7.10-1mdv2009.0
+ Revision: 219216
- update to new version 0.7.10

  + Pixel <pixel@mandriva.com>
    - do not call ldconfig in %%post/%%postun, it is now handled by filetriggers

* Sun May 11 2008 Frederik Himpe <fhimpe@mandriva.org> 0.7.8-1mdv2009.0
+ Revision: 205811
- New upstream version

* Tue May 06 2008 Funda Wang <fwang@mandriva.org> 0.7.7-1mdv2009.0
+ Revision: 202018
- New version 0.7.7

* Sun May 04 2008 Frederik Himpe <fhimpe@mandriva.org> 0.7.6-3mdv2009.0
+ Revision: 201153
- Fix Provides of devel package

* Thu Apr 24 2008 Götz Waschk <waschk@mandriva.org> 0.7.6-2mdv2009.0
+ Revision: 197152
- libify the package
- use the right configure macro
- add missing ldconfig calls

* Mon Apr 14 2008 Frederik Himpe <fhimpe@mandriva.org> 0.7.6-1mdv2009.0
+ Revision: 193068
- New version
- New license policy

* Sun Mar 09 2008 Michael Scherer <misc@mandriva.org> 0.7.5-1mdv2008.1
+ Revision: 182800
- update to new version 0.7.5

* Thu Mar 06 2008 Michael Scherer <misc@mandriva.org> 0.7.4-1mdv2008.1
+ Revision: 180344
- update to new version 0.7.4

  + Thierry Vignaud <tv@mandriva.org>
    - fix description

* Sat Mar 01 2008 Michael Scherer <misc@mandriva.org> 0.7.3-1mdv2008.1
+ Revision: 177203
- update to new version 0.7.3

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

  + Thierry Vignaud <tv@mandriva.org>
    - kill re-definition of %%buildroot on Pixel's request
    - kill extra spacing at top of description

* Wed Dec 12 2007 Jérôme Soyer <saispo@mandriva.org> 0.7.0-1mdv2008.1
+ Revision: 117819
- New release 0.7.0

* Fri Oct 12 2007 Jérôme Soyer <saispo@mandriva.org> 0.6.0-1mdv2008.1
+ Revision: 97701
- New release 0.6.0

* Wed Sep 05 2007 Michael Scherer <misc@mandriva.org> 0.5.14-1mdv2008.0
+ Revision: 79777
- new version 0.5.14

* Sat Jun 02 2007 Nicolas Lécureuil <nlecureuil@mandriva.com> 0.5.13-1mdv2008.0
+ Revision: 34765
- New version 0.5.13

* Tue May 01 2007 Nicolas Lécureuil <nlecureuil@mandriva.com> 0.5.11-1mdv2008.0
+ Revision: 20132
- First mandriva rpm
- Import telepathy-glib

